Build #4 for Michelangelo-0.2.4.0

[all reports]

Package Michelangelo-0.2.4.0
Install PlanningFailed
Docs NotTried
Tests NotTried
Time submitted 2016-10-25 17:44:02.669814 UTC
Compiler ghc-8.0.1.20160701
OS linux
Arch x86_64
Dependencies
Flags none

Code Coverage

No Code Coverage was submitted for this report.

Build log

[view raw]

Resolving dependencies...
cabal: Could not resolve dependencies:
trying: Michelangelo-0.2.4.0 (user goal)
trying: base-4.9.0.0/installed-4.9... (dependency of Michelangelo-0.2.4.0)
trying: attoparsec-0.13.1.0 (dependency of WaveFront-0.5.0.0)
trying: comonad-5 (dependency of semigroupoids-5.1:+comonad)
trying: base-orphans-0.5.4 (dependency of semigroupoids-5.1)
trying: bifunctors-5.4.1 (dependency of either-4.4.1.1)
trying: linear-1.20.5 (dependency of Michelangelo-0.2.4.0)
next goal: lens (dependency of Michelangelo-0.2.4.0)
rejecting: lens-4.15.1, lens-4.15, lens-4.14, lens-4.13.2.1, lens-4.13.2,
lens-4.13.1 (conflict: Michelangelo => lens<=4.13.0.0)
rejecting: lens-4.13, lens-4.12.3, lens-4.12.2, lens-4.12.1, lens-4.12,
lens-4.11.1, lens-4.11, lens-4.10 (conflict: comonad==5, lens => comonad>=4 &&
<5)
rejecting: lens-4.9.1, lens-4.9, lens-4.8 (conflict: bifunctors==5.4.1, lens
=> bifunctors>=4 && <5)
rejecting: lens-4.7.0.1, lens-4.7, lens-4.6.0.1, lens-4.6, lens-4.5,
lens-4.4.0.2, lens-4.4.0.1, lens-4.4 (conflict:
base==4.9.0.0/installed-4.9..., lens => base>=4.4 && <4.8)
rejecting: lens-4.3.3, lens-4.3.2, lens-4.3.1, lens-4.3, lens-4.2 (conflict:
attoparsec==0.13.1.0, lens => attoparsec>=0.10 && <0.13)
rejecting: lens-4.1.2.1, lens-4.1.2, lens-4.1.1 (conflict: bifunctors==5.4.1,
lens => bifunctors>=4 && <5)
rejecting: lens-4.1 (conflict: base==4.9.0.0/installed-4.9..., lens => base<0)
rejecting: lens-4.0.7, lens-4.0.6, lens-4.0.5, lens-4.0.4, lens-4.0.3,
lens-4.0.2, lens-4.0.1, lens-4.0 (conflict: base-orphans==0.5.4, lens =>
base-orphans<0.5)
rejecting: lens-3.10.3, lens-3.10.2, lens-3.10.1, lens-3.10.0.1, lens-3.10,
lens-3.9.2, lens-3.9.1, lens-3.9.0.3, lens-3.9.0.2, lens-3.9.0.1, lens-3.9,
lens-3.8.7.3, lens-3.8.7.2, lens-3.8.7.1, lens-3.8.7, lens-3.8.6, lens-3.8.5,
lens-3.8.4, lens-3.8.3, lens-3.8.2, lens-3.8.1, lens-3.8.0.2, lens-3.8.0.1,
lens-3.8, lens-3.7.6, lens-3.7.5, lens-3.7.4, lens-3.7.3, lens-3.7.2,
lens-3.7.1.2, lens-3.7.1.1, lens-3.7.1, lens-3.7.0.2, lens-3.7.0.1, lens-3.7,
lens-3.6.0.4, lens-3.6.0.3, lens-3.6.0.2, lens-3.6.0.1, lens-3.6, lens-3.5.1,
lens-3.5, lens-3.4, lens-3.3, lens-3.2, lens-3.1, lens-3.0.6, lens-3.0.5,
lens-3.0.4, lens-3.0.3, lens-3.0.2, lens-3.0.1, lens-3.0, lens-2.9, lens-2.8,
lens-2.7.0.1, lens-2.7, lens-2.6.1, lens-2.6, lens-2.5, lens-2.4.0.2,
lens-2.4, lens-2.3, lens-2.2, lens-2.1, lens-2.0, lens-1.9.1, lens-1.9,
lens-1.8, lens-1.7.1, lens-1.7, lens-1.6, lens-1.5, lens-1.4.1, lens-1.4,
lens-1.3.1, lens-1.3, lens-1.2, lens-1.1.1, lens-1.1, lens-1.0.3, lens-1.0.2,
lens-1.0.1, lens-1.0, lens-0.9, lens-0.8, lens-0.7, lens-0.6, lens-0.5,
lens-0.4, lens-0.3, lens-0.2, lens-0.1 (conflict: linear => lens>=4 && <5)
Backjump limit reached (currently 2000, change with --max-backjumps or try to
run with --reorder-goals).